Feature request: Category reverse sort by date
OpenPublic

Assigned To
None
Priority
Lowest
Author
bzimport
Subscribers
Qgil, Deskana, Aklapper and 2 others
Projects
Reference
bz1289
Security
None
Description

Author: david

Description:
The Category function is not translating well into Wikinews. The biggest problem
with categories is that we cannot sort by date to make the newest stories appear
on top. Compare http://en.wikinews.org/wiki/Category:Culture_and_entertainment
with http://en.wikinews.org/wiki/Category:Culture_and_entertainment_test.

In essence, after 50 staries are written on a given topic, a category becomes
virtually useless since alphabetic sort yileds results where it is impossible to
tell the difference between a story written last year or last night.

And with a [[Category:Topic|YYYMMDD]] sort, the OLDEST appears on top - which
makes the task of finding the newest story a scroll hunt for the reader.


Version: unspecified
Severity: enhancement
URL: http://en.wikinews.org/wiki/Category:Culture_and_entertainment_test

bzimport added a project: MediaWiki-Categories.Via ConduitNov 21 2014, 8:10 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1289.
bzimport created this task.Via LegacyJan 8 2005, 9:12 PM
bzimport added a comment.Via ConduitFeb 11 2005, 3:40 AM

richholton wrote:

(In reply to comment #0)

The Category function is not translating well into Wikinews. The biggest problem
with categories is that we cannot sort by date to make the newest stories appear
on top. Compare http://en.wikinews.org/wiki/Category:Culture_and_entertainment
with http://en.wikinews.org/wiki/Category:Culture_and_entertainment_test.

In essence, after 50 staries are written on a given topic, a category becomes
virtually useless since alphabetic sort yileds results where it is impossible to
tell the difference between a story written last year or last night.

And with a [[Category:Topic|YYYMMDD]] sort, the OLDEST appears on top - which
makes the task of finding the newest story a scroll hunt for the reader.

Could you describe what you'd like the category page to look like for this?
Would the date of the article be included in the category page listing? Would
the date in question be the last modified date of the article, or something that
is included in the sort key? You want the names sorted ascending alphabetically,
but then descending by date? Or would some tag on the category page indicating a
descending sort be sufficient?

bzimport added a comment.Via ConduitApr 17 2005, 11:31 PM

beland wrote:

This would be useful for maintainance categories where we are using them as FIFO
queues. In this case, the date should be taken as the point at which the
category tag was added to the article. Though most of these categories actually
use templates to do that, so detecting that is slightly more complex than you
might think. But certainly doable.

Bawolff added a comment.Via ConduitJan 7 2006, 4:48 AM

I think this should be the date the category was added to the article. As for
headings I would see this as the date. (December 21, 2005) or possibly the month
and year (December, 2005). One posibility Is to do it somewhat similiar to the
experimental date techinique for the google cat (
http://en.wikinews.org/wiki/Google/date#Date-order ). I think a little link
should be at the (next 200) line where it could say (sort by date)

bzimport added a comment.Via ConduitMar 15 2006, 12:30 PM

evengstr wrote:

I actually need to be able to list it by a specified date, not by the date the
entry is entered into the site, as I am creating a timeline for my RPG group.
It's a similar problem with the categories, I need to be able to have dates
(preferably the year) for the headings, rather than a single number or letter
http://www.ucip.org/beta/index.php/Category:Timeline

demon added a comment.Via ConduitJul 30 2009, 11:41 PM
  • Bug 5561 has been marked as a duplicate of this bug. ***
demon added a comment.Via ConduitJul 30 2009, 11:41 PM
  • Bug 14287 has been marked as a duplicate of this bug. ***
Qgil added a comment.Via ConduitMay 17 2014, 12:29 AM

Wikinews seems to have solved the problem with RSS feedbs and templates, which looks like the right approach for this use case.

https://en.wikinews.org/wiki/Category:Culture_and_entertainment

(In reply to Jaeneva from comment #4)

I actually need to be able to list it by a specified date, not by the date
the entry is entered into the site, as I am creating a timeline for my RPG
group.
It's a similar problem with the categories, I need to be able to have dates
(preferably the year) for the headings, rather than a single number or letter
http://www.ucip.org/beta/index.php/Category:Timeline

Maybe categories alone are not a tool for this kind of job? A category cannot dig into the content of an article to find a specific date field. This is a work for templates.

Bawolff added a comment.Via ConduitMay 17 2014, 12:34 PM

How about https://mediawiki.org/wiki/Extension:CategorySortHeaders .

Note: wikinews uses dynamic page list for its lists.

Bawolff added a comment.Via ConduitMay 17 2014, 12:35 PM

Also failing all else, you could probably use semantic mediawiki for your purposes.

Qgil added a comment.Via ConduitMay 17 2014, 5:13 PM

Considering that the original problem is solved (the Wikinews use case), that other solutions exist to solve this problem, and that including this feature in MediaWiki Core seems unlikely, can we close this report as wontfix?

Bawolff added a comment.Via ConduitMay 17 2014, 5:26 PM

(In reply to Quim Gil from comment #10)

Considering that the original problem is solved (the Wikinews use case),
that other solutions exist to solve this problem, and that including this
feature in MediaWiki Core seems unlikely, can we close this report as
wontfix?

Oh, I totally thought comment 4 was the original bug when making my last comment. I'm actually not sure that the original bug is that unlikely to be included in MediaWiki core. People on enwikipedia often say things like they wish that maintenance categories could be sorted by date. If liangent's category sorting branch ever gets merged, I think it would make sense to also add this feature to his/her code. After all, at that point we would both have an interface for it, as well as the database schema support for it. I think this is a valid low-priority enhancement request.

Steinsplitter added a project: Commons.Via WebSat, Mar 14, 1:08 PM
Steinsplitter set Security to None.
Steinsplitter moved this task to Backlog on the Commons workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.